package com.mcwl.comment.mapper;


import com.mcwl.comment.domain.ProductCommentConditionEntity;
import com.mcwl.comment.domain.ProductCommentEntity;
import com.mcwl.common.web.BaseMapper;
import com.mcwl.resource.domain.MallProduct;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.comment.mapper
 * @Filename：CommentMapper
 * @Description TODO
 * @Date：2025/1/4 19:04
 */
public interface CommentMapper extends BaseMapper<ProductCommentEntity, ProductCommentConditionEntity> {

    MallProduct findById(@Param("id") Long id);

    int insert(ProductCommentEntity productCommentEntity);

    int upda(ProductCommentEntity productCommentEntity);

    List<ProductCommentEntity> findByIds(List<Long> ids);

    int deleteByIds(List<Long> ids, ProductCommentEntity productCommentEntity);
}
